Oracle Linux 7:binutils (ELSA-2021-4033)

high Nessus Plugin ID 154808

概要

遠端 Oracle Linux 主機缺少安全性更新。

說明

遠端 Oracle Linux 7 主機上安裝的套件受到 ELSA-2021-4033 公告中提及的一個弱點影響。

- 在 Unicode 規格到 14.0 版的雙向演算法中發現一個問題。它允許透過控制序列對字元進行視覺重新排序,這可用於特製原始程式碼,以呈現與編譯器和解譯器提取的 token 邏輯順序不同的邏輯。
攻擊者可利用此弱點為接受 Unicode 的編譯器編碼原始程式碼,進而以隱形方式將目標弱點引入人類檢閱者。(CVE-2021-42574)

請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

更新受影響的 binutils 和/或 binutils-devel 套件。

另請參閱

https://linux.oracle.com/errata/ELSA-2021-4033.html

Plugin 詳細資訊

嚴重性: High

ID: 154808

檔案名稱: oraclelinux_ELSA-2021-4033.nasl

版本: 1.5

類型: local

代理程式: unix

已發布: 2021/11/2

已更新: 2023/11/27

支援的感應器: Frictionless Assessment Agent, Nessus Agent, Nessus

風險資訊

VPR

風險因素: High

分數: 7.3

CVSS v2

風險因素: Medium

基本分數: 5.1

時間分數: 4

媒介: CVSS2#AV:N/AC:H/Au:N/C:P/I:P/A:P

CVSS 評分資料來源: CVE-2021-42574

CVSS v3

風險因素: High

基本分數: 8.3

時間分數: 7.5

媒介: CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:C/C:H/I:H/A:H

時間媒介: CVSS:3.0/E:P/RL:O/RC:C

弱點資訊

CPE: cpe:/o:oracle:linux:7, p-cpe:/a:oracle:linux:binutils, p-cpe:/a:oracle:linux:binutils-devel

必要的 KB 項目: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/OracleLinux

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2021/11/2

弱點發布日期: 2021/11/1

參考資訊

CVE: CVE-2021-42574

IAVA: 2021-A-0528